Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List execution history for a hook, newest first.
cURL
curl --request GET \ --url https://api.example.com/api/v1/hooks/{hook_id}/executions
import requestsurl = "https://api.example.com/api/v1/hooks/{hook_id}/executions"response = requests.get(url)print(response.text)
const options = {method: 'GET'};fetch('https://api.example.com/api/v1/hooks/{hook_id}/executions', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.example.com/api/v1/hooks/{hook_id}/executions", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://api.example.com/api/v1/hooks/{hook_id}/executions" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/hooks/{hook_id}/executions") .asString();
require 'uri'require 'net/http'url = URI("https://api.example.com/api/v1/hooks/{hook_id}/executions")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)response = http.request(request)puts response.read_body
{ "items": [ { "id": "<string>", "hook_id": "<string>", "trigger_type": "<string>", "status": "<string>", "actions_executed": 123, "error_message": "<string>", "duration_ms": 123, "execution_context": {}, "executed_at": "2023-11-07T05:31:56Z" } ], "total": 123 }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
1 <= x <= 200
x >= 0
Successful Response
Paginated list of hook executions.
Show child attributes